using System;
using System.Reflection;

internal sealed class Delegate787 : MulticastDelegate
{
	public extern MethodBase Invoke(object object_0, int int_0);

	public static MethodBase smethod_0(object object_0, int int_0, Delegate787 delegate787_1)
	{
		return delegate787_1(object_0, int_0);
	}

	public extern Delegate787(object object_0, IntPtr intptr_0);

	static Delegate787()
	{
		Class10.smethod_13(typeof(Delegate787).TypeHandle);
	}

	internal static Delegate787 delegate787_0;
}
